org.eclipse.incquery.patternlanguage.patternLanguage

## Interface PathExpressionTail

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PathExpressionElement
  All Known Implementing Classes:
    PathExpressionTailImpl

      public interface PathExpressionTail
      extends PathExpressionElement

  A representation of the model object 'Path Expression Tail'.

  The following features are supported:

  - `Index`
  - `Closure`
  See Also:
    `PatternLanguagePackage.getPathExpressionTail()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Returns the value of the 'Index' attribute.
    `boolean` | `isClosure()` Returns the value of the 'Closure' attribute.
    `void` | `setClosure(boolean value)` Sets the value of the '`Closure`' attribute.
    `void` | `setIndex(int value)` Sets the value of the '`Index`' attribute.

    - ### Methods inherited from interface org.eclipse.incquery.patternlanguage.patternLanguage.PathExpressionElement

      `getTail, getType, setTail, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getIndex

          int getIndex()

      Returns the value of the 'Index' attribute.

      If the meaning of the 'Index' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Index' attribute.
      See Also:
        `setIndex(int)`, `PatternLanguagePackage.getPathExpressionTail_Index()`

    - #### setIndex

          void setIndex(int value)

      Sets the value of the '`Index`' attribute.
      Parameters:
        `value` - the new value of the 'Index' attribute.
      See Also:
        `getIndex()`

    - #### isClosure

          boolean isClosure()

      Returns the value of the 'Closure' attribute.

      If the meaning of the 'Closure' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Closure' attribute.
      See Also:
        `setClosure(boolean)`, `PatternLanguagePackage.getPathExpressionTail_Closure()`

    - #### setClosure

          void setClosure(boolean value)

      Sets the value of the '`Closure`' attribute.
      Parameters:
        `value` - the new value of the 'Closure' attribute.
      See Also:
        `isClosure()`